package graph

import (
	"github.com/cayleygraph/cayley"
	cg "github.com/cayleygraph/cayley/graph"
)

type Store interface {
	Create() error
}

func (s *store) Create() error {
	cg.InitQuadStore(srv.backend, srv.path, nil)

	store, err := cayley.NewGraph(s.backend, s.path, nil)
	if err != nil {
		return err
	}
	s.store = store
	return nil
}
